Skip to main content
POST
/
v1
/
dev
/
user
/
action-items
/
batch
Create action items (batch)
curl --request POST \
  --url https://api.omi.me/v1/dev/user/action-items/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action_items": [
    {
      "description": "Review Q1 report",
      "due_at": "2025-12-10T17:00:00Z"
    },
    {
      "description": "Schedule team meeting"
    }
  ]
}
'
{
  "action_items": [
    {
      "id": "action_001",
      "description": "Review Q1 report"
    },
    {
      "id": "action_002",
      "description": "Schedule team meeting"
    }
  ],
  "created_count": 2
}

Authorizations

Authorization
string
header
required

Developer API key. Get one from Settings → Developer → Create Key in the Omi app. Keys are prefixed with omi_dev_.

Body

application/json
action_items
object[]
required

List of action items to create (max 50).

Maximum array length: 50

Response

Batch creation result.

action_items
object[]
created_count
integer

Number of action items created.